MediaWiki:Common.css: Difference between revisions

From DSignT Support Database
Jump to navigationJump to search
No edit summary
No edit summary
 
(74 intermediate revisions by the same user not shown)
Line 13: Line 13:
*/
*/
/*
/*
/* changes D.SignT: new design */
/* changes D.SignT: new design */
/*
/*
.mw-body  
.mw-body  
{
{
     position: relative;
     position: relative;  
     top: 6em;  
     top: 14em;  
}
}
*/
*/
body {
  font-family: Arial;
}
img {
padding-bottom: 7px;
}


.mw-body a.external {
.mw-body a.external {
color: pink;
  color: #00509f;
background-color: #e1e1e2;
  font-weight: bold;
  padding: 0px 20px 0px 10px;
  border-radius: 7px;
  margin:5px;
  background-image: none;
}
 
.mw-body a.external:visited {
    color: #00509f;
    font-weight: bold;
    font-size: 14px;
  }
 
.mw-body a.external.text {
  color: #00509f;
  font-weight: bold;
  font-size: 14px;
}
 
.mw-body a.external:hover {
  text-decoration: none;
}


a.DSP.more {
  display: block;
  text-align: center;
}
}


Line 48: Line 80:
div#footer
div#footer
{
{
     margin: 0 6em 0 0
     margin: 0 6em 0 0  
}
}
*/
*/
Line 60: Line 92:
}
}
*/
*/
li#ca-viewsource,li#ca-history,li#ca-talk
@media screen {  body.skin--responsive
{
li#ca-talk { display:none!important; }
/*    position: relative; top: 6em; */
    display:none;  
}
}
#p-logo a, #p-logo a:hover
@media screen {  body.skin--responsive
{
#p-logo a
{
     width:100%;
     width:100%;
     height:88px;
     height:88px;
Line 72: Line 103:
     margin-top: 33px;
     margin-top: 33px;
     margin-bottom: 20px;
     margin-bottom: 20px;
}
}
}
#p-logo
@media screen {  body.skin--responsive
{
#p-logo a:hover
     width:24em;
{
     width:100%;
    height:88px;
    margin-left: 136px;
    margin-top: 33px;
     margin-bottom: 20px;
     margin-bottom: 20px;
}  
}
}


#p-cactions
@media screen {  body.skin--responsive
{
#p-logo
{
    width:24em;
    margin-bottom: 20px;
}
}
@media screen {  body.skin--responsive
#p-cactions
{
     top: 10em;
     top: 10em;
}
}
}
#p-personal
@media screen {  body.skin--responsive
{
#p-personal
{
     top: 5px;
     top: 5px;
}
}
}
/*
/*
Line 103: Line 151:
     font-weight: normal;  
     font-weight: normal;  
} */
} */
/* extra buttons for edit dialog (from commons:MediaWiki:Common.css) */
 
.my-buttons {
padding: .5em;
}
.my-buttons a {
color: black;
background-color: #cde !important;
font-weight: bold;
font-size: .9em;
text-decoration: none;
border: thin #069 outset;
padding: 0 .1em .1em;
}
.my-buttons a:hover, .my-buttons a:active {
background-color: #bcd;
border-style: inset;
}


/* from [[User:Splarka/Help:Linked images]] */
/* from [[User:Splarka/Help:Linked images]] */
Line 129: Line 161:
background-image: url("//upload.wikimedia.org/wikipedia/mediawiki/b/bc/Wiki.png");
background-image: url("//upload.wikimedia.org/wikipedia/mediawiki/b/bc/Wiki.png");
}
}


/**
/**
  * CharInsert extension
  * Styling for links generated by [[MediaWiki:Edittools]]
* @source https://www.mediawiki.org/wiki/Extension:CharInsert#Styling
* @updated 2020-03-17
  */
  */
.mw-charinsert-buttons {
.mw-charinsert-buttons {
border: 1px solid #aaa;
margin-top: 10px;
margin-top: 10px;
border: 1px solid #aaaaaa;
padding: 1px;
padding: 1px;
font-size: 1.1em;
text-align: center;
text-align: center;
font-size: 110%;
}
}
.mw-charinsert-buttons a {
.mw-charinsert-buttons a {
color: black;
background-color: #cde !important;
background-color: #cde !important;
color: #000;
border: thin #069 outset;
padding: 0 1px 1px;
font-weight: bold;
font-weight: bold;
font-size: .9em;
font-size: 0.9em;
text-decoration: none;
text-decoration: none;
border: thin #069 outset;
padding: 0 .1em .1em;
}
}
.mw-charinsert-buttons a:hover,
.mw-charinsert-buttons a:hover,
.mw-charinsert-buttons a:active {
.mw-charinsert-buttons a:active {
Line 154: Line 192:
border-style: inset;
border-style: inset;
}
}
.client-js .mw-edittools-section {
.client-js .mw-edittools-section {
display: inline;
display: inline;
}
}
.client-js .mw-edittools-section input[type="button"] {
.client-js .mw-edittools-section input[type="button"] {
font-size: 0.9em;
font-size: 0.9em;
margin-left: 1px;
padding-left: 1px;
padding-left: 1px;
padding-right: 1px;
padding-right: 1px;
margin-left: 1px;
}
/* remove Toolbox */
#p-tb {
    display:none !important;
}
}



Latest revision as of 11:57, 30 July 2024

/*
This is the CSS for all skins (for all users) on MediaWiki.org.

SECTIONS:
1. Indication of namespaces
2. Color classes for content
3. Special pages
4. Main page styling
5. Sidebar external links
6. Extension:Matrix stuff
7. Wikitables, infobox templates, warnings, and other such stylings
8. Some other small things
*/
/*
/* changes D.SignT: new design */
/*
.mw-body 
{
    position: relative;   
    top: 14em; 
}
*/

body {
   font-family: Arial;
}


img {
padding-bottom: 7px;
}

.mw-body a.external {
  color: #00509f;
  font-weight: bold;
  padding: 0px 20px 0px 10px;
  border-radius: 7px;
  margin:5px;
  background-image: none;
} 

.mw-body a.external:visited {
    color: #00509f;
    font-weight: bold;
    font-size: 14px;
   }

.mw-body a.external.text {
   color: #00509f;
   font-weight: bold;
   font-size: 14px;
}

.mw-body a.external:hover {
   text-decoration: none;
}

a.DSP.more {
  display: block;
  text-align: center;
}

div#content
{
    top: 9em; 
/*    margin-left:1.4em; */
    margin-top: 25px;
    min-width:877px;
    min-height:69%;
    margin-right: 1.25em;
    border-right-width:1px;
}  

div#column-content
{
/*    height: 120%;  */
    margin-bottom: 7em;
}
/*
div#footer
{
    margin: 0 6em 0 0 
}
*/
/*
#bodyContent{margin-left: 12em;padding-left:2em;
    margin-top: 2em;width:auto; min-width: 680px;} 
*/
/*
li#ca-nstab-mediawiki,li#ca-nstab-category,li#ca-nstab-project,li#ca-nstab-main, li#ca-viewsource,li#ca-history,li#ca-edit,li#ca-push,li#ca-delete,li#ca-move,li#ca-protect,li#ca-watch,li#ca-unwatch {
	position: relative; top: 6em;
}
*/
@media screen {  body.skin--responsive 
 li#ca-talk { display:none!important;  }
}
@media screen {  body.skin--responsive 
 #p-logo a
 {
    width:100%;
    height:88px;
    margin-left: 136px;
    margin-top: 33px;
    margin-bottom: 20px;
 }
}
@media screen {  body.skin--responsive 
 #p-logo a:hover
 {
    width:100%;
    height:88px;
    margin-left: 136px;
    margin-top: 33px;
    margin-bottom: 20px;
 }
}

@media screen {  body.skin--responsive 
 #p-logo
 {
     width:24em;
     margin-bottom: 20px;
 } 
}
@media screen {  body.skin--responsive 
 #p-cactions
 {
    top: 10em;
 }
}
@media screen {  body.skin--responsive 
 #p-personal
 {
    top: 5px;
 }
}
/*
div#mw-panel {
	position: absolute;
	top: 100px;
	width: 20em;
	left: 0; 
}
*/
h2 { 
/*    font-size: 180%;  */
    font-weight: bold; 
}
/* h3 { 
    font-size: 145%;  
    font-weight: normal; 
} */


/* from [[User:Splarka/Help:Linked images]] */
.imagelink_wikilogo a {
	width: 335px;
	height: 135px;
	display: block;
	text-decoration: none;
	background-image: url("//upload.wikimedia.org/wikipedia/mediawiki/b/bc/Wiki.png");
}


/**
 * Styling for links generated by [[MediaWiki:Edittools]]
 * @source https://www.mediawiki.org/wiki/Extension:CharInsert#Styling
 * @updated 2020-03-17
 */
.mw-charinsert-buttons {
	border: 1px solid #aaa;
	margin-top: 10px;
	padding: 1px;
	font-size: 1.1em;
	text-align: center;
}


.mw-charinsert-buttons a {
	background-color: #cde !important;
	color: #000;
	border: thin #069 outset;
	padding: 0 1px 1px;
	font-weight: bold;
	font-size: 0.9em;
	text-decoration: none;
}

.mw-charinsert-buttons a:hover,
.mw-charinsert-buttons a:active {
	background-color: #bcd;
	border-style: inset;
}

.client-js .mw-edittools-section {
	display: inline;
}


.client-js .mw-edittools-section input[type="button"] {
	font-size: 0.9em;
	margin-left: 1px;
	padding-left: 1px;
	padding-right: 1px;
}

/* ms@forty-four.de: Tab-Reiter ausgeblendet */
/* li#ca-viewsource,li#ca-history,li#ca-talk{display:none;} */
/*
body.page-Main_Page.action-view table{ 
    display: none; 
}
*/


Contact Post.png Support Tool.png